[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TIPCClientComm.Connect

Connect to the server

## Declaration

Source position: simpleipc.pp line 128

`public procedure TIPCClientComm.Connect; virtual; abstract;`

## Description

Connect must establish a communication channel with the server. The server endpoint must be constructed from the ServerID and ServerInstance properties of the owning TSimpleIPCClient instance.

Connect is called by the TSimpleIPCClient.Connect call or when the Active property is set to True

Messages can be sent only after Connect was called succesfully.

## Errors

If the connection setup fails, or the connection was already set up , then an exception may be raised.

## See also

TSimpleIPCClient.Connect |  | Connect to the server
Active |  | Communication channel active
Disconnect |  | Disconnect from the server

Documentation generated on: Feb 26 2014